.root {
  display: inline-block;
  margin: 0;
  height: 16px;
  width: 16px;
  vertical-align: middle;
  fill: currentColor;

  & > * {
    height: 100%;
    width: 100%;
    display: block;
    pointer-events: none;
  }

  & > svg {
    overflow: hidden;
    transition: inherit;
  }

  [class*="clr-i"] {
    display: none;
  }

  [class*="clr-i-alert"] {
    fill: #fac400;
  }

  [class*="clr-i-badge"] {
    fill: #e12200;
  }

  &[dir="up"] {
    svg {
      transform: rotateZ(0deg);
    }
  }

  &[dir="down"] {
    svg {
      transform: rotateZ(180deg);
    }
  }

  &[dir="left"] {
    svg {
      transform: rotateZ(270deg);
    }
  }

  &[dir="right"] {
    svg {
      transform: rotateZ(90deg);
    }
  }

  svg {
    fill: currentColor;
  }
}

.outline {
  [class~="clr-i-outline"] {
    display: block;
  }
}
.solid {
  [class~="clr-i-solid"] {
    display: block;
  }
}

.alert {
  [class*="clr-i-alert"] {
    display: block;
  }
}

.badge {
  [class~="clr-i-badge"] {
    display: block;
  }
}
